aboutsummaryrefslogtreecommitdiff
path: root/X/xsession.d/browser.sh
diff options
context:
space:
mode:
Diffstat (limited to 'X/xsession.d/browser.sh')
-rw-r--r--X/xsession.d/browser.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/X/xsession.d/browser.sh b/X/xsession.d/browser.sh
index 44afc78e..dde8c784 100644
--- a/X/xsession.d/browser.sh
+++ b/X/xsession.d/browser.sh
@@ -11,8 +11,8 @@ fi >/dev/null 2>&1
if (
# Don't switch if it's not there
command -v dillo || exit 1
- # Do switch if neither LibreWolf nor Firefox are there
- command -v librewolf || command -v firefox || exit 0
+ # Do switch if BROWSER= isn't set yet
+ [ -n "$BROWSER" ] || exit 0
# Do switch if procfs says we have less than 2GB of RAM
awk '$1=="MemTotal:"&&$2<2^20{m++}END{exit!m}' < /proc/meminfo
) ; then